rtpprofile.h File Reference

Using and creating standart and custom RTP profiles. More...

`#include <ortp/port.h>`

## Data Structures

struct | _RtpProfile

## Macros

#define | RTP_PROFILE_MAX_PAYLOADS 128
#define | rtp_profile_get_name(profile)
#define | rtp_profile_clear_payload(profile, index)

## Typedefs

typedef struct _RtpProfile | RtpProfile

## Functions

void | rtp_profile_set_payload (RtpProfile *prof, int idx, PayloadType *pt)
void | rtp_profile_clear_all (RtpProfile *prof)
void | rtp_profile_set_name (RtpProfile *prof, const char *name)
PayloadType * | rtp_profile_get_payload_from_mime (RtpProfile *profile, const char *mime)
PayloadType * | rtp_profile_get_payload_from_rtpmap (RtpProfile *profile, const char *rtpmap)
int | rtp_profile_get_payload_number_from_mime (RtpProfile *profile, const char *mime)
int | rtp_profile_get_payload_number_from_mime_and_flag (RtpProfile *profile, const char *mime, int flag)
int | rtp_profile_get_payload_number_from_rtpmap (RtpProfile *profile, const char *rtpmap)
int | rtp_profile_find_payload_number (RtpProfile *prof, const char *mime, int rate, int channels)
PayloadType * | rtp_profile_find_payload (RtpProfile *prof, const char *mime, int rate, int channels)
int | rtp_profile_move_payload (RtpProfile *prof, int oldpos, int newpos)
RtpProfile * | rtp_profile_new (const char *name)
RtpProfile * | rtp_profile_clone (RtpProfile *prof)
RtpProfile * | rtp_profile_clone_full (RtpProfile *prof)
void | rtp_profile_destroy (RtpProfile *prof)

## Variables

ORTP_VAR_PUBLIC RtpProfile | av_profile

## Detailed Description

Using and creating standart and custom RTP profiles.

## Macro Definition Documentation

## rtp_profile_clear_payload

#define rtp_profile_clear_payload | ( |  | profile,
|  |  | index )

Value:
rtp_profile_set_payload(profile, index, NULL)
rtp_profile_set_payload
void rtp_profile_set_payload(RtpProfile *prof, int idx, PayloadType *pt)
Definition rtpprofile.c:146

        Set payload type number \a index unassigned in the profile.

Parameters

  profile | an RTP profile
  index | the payload type number

## rtp_profile_get_name

#define rtp_profile_get_name | ( |  | profile | ) |

Value:
(const char *)((profile)->name)

## Function Documentation

## rtp_profile_clear_all()

void rtp_profile_clear_all | ( | RtpProfile * | profile | ) |

Initialize the profile to the empty profile (all payload type are unassigned).

Parameters

  profile | a RTP profile

## rtp_profile_set_name()

void rtp_profile_set_name | ( | RtpProfile * | profile,
|  | const char * | name )

Set a name to the rtp profile. (This is not required)

Parameters

  profile | a rtp profile object
  name | a string

## rtp_profile_set_payload()

void rtp_profile_set_payload | ( | RtpProfile * | profile,
|  | int | idx,
|  | PayloadType * | pt )

     Assign payload type number index to payload type desribed in pt for the RTP profile profile.

Parameters

  profile | a RTP profile
  idx | the payload type number
  pt | the payload type description